Bug 132947 - [new ports]: devel/devel, www/geshifilter: GeSHi core and Drupal highlighter module
Summary: [new ports]: devel/devel, www/geshifilter: GeSHi core and Drupal highlighter ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-22 21:00 UTC by Eygene Ryabinkin
Modified: 2009-03-23 19:00 UTC (History)
0 users

See Also:


Attachments
file.shar (4.46 KB, text/plain)
2009-03-22 21:00 UTC, Eygene Ryabinkin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2009-03-22 21:00:13 UTC
I had ported Drupal 6.x module for code syntax highlighting.  This
submission contains both Drupal module and the corresponding PHP
library to do the actual highlighting work.

Fix: Shell archive for the GeSHi core:
Shell archive for the Drupal module:


--- drupal6-geshifilter.shar ends here -----94SNhO1tJk63Dhem0DA9thiDaZnz78AKqc8Da8MW9B47i0LL
Content-Type: text/plain; name="geshi.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="geshi.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	php5-geshi
#	php5-geshi/Makefile
#	php5-geshi/distinfo
#	php5-geshi/pkg-descr
#
echo c - php5-geshi
mkdir -p php5-geshi > /dev/null 2>&1
echo x - php5-geshi/Makefile
sed 's/^X//' >php5-geshi/Makefile << '1ee784fae31bd111b6d444ca0d185d78'
X# New ports collection makefile for:	php5-geshi
X# Date created:				2009-03-18
X# Whom:					Eygene Ryabinkin <rea-fbsd@codelabs.ru>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	geshi
XPORTVERSION=	1.0.8.2
XCATEGORIES=	devel
XMASTER_SITES=	SF
XPKGNAMEPREFIX=	php5-
XDISTNAME=	GeSHi-${PORTVERSION}
X
XMAINTAINER=	rea-fbsd@codelabs.ru
XCOMMENT=	Native PHP syntax highlighting engine
X
XWRKSRC=		${WRKDIR}/geshi
XPLIST=		${WRKDIR}/PLIST
X
XUSE_BZIP2=	yes
XUSE_PHP=	yes
XDEFAULT_PHP_VER=	5
XIGNORE_WITH_PHP=	4
XNO_BUILD=	yes
X
XPHP_DESTDIR=	lib/php/geshi
XDIRS=		\
X		geshi
XFILES=		\
X		geshi.php \
X		geshi/abap.php \
X		geshi/actionscript.php \
X		geshi/actionscript3.php \
X		geshi/ada.php \
X		geshi/apache.php \
X		geshi/applescript.php \
X		geshi/apt_sources.php \
X		geshi/asm.php \
X		geshi/asp.php \
X		geshi/autoit.php \
X		geshi/avisynth.php \
X		geshi/bash.php \
X		geshi/basic4gl.php \
X		geshi/bf.php \
X		geshi/blitzbasic.php \
X		geshi/bnf.php \
X		geshi/boo.php \
X		geshi/c.php \
X		geshi/caddcl.php \
X		geshi/cadlisp.php \
X		geshi/cfdg.php \
X		geshi/cfm.php \
X		geshi/cil.php \
X		geshi/cobol.php \
X		geshi/cpp-qt.php \
X		geshi/cpp.php \
X		geshi/csharp.php \
X		geshi/css.php \
X		geshi/c_mac.php \
X		geshi/d.php \
X		geshi/delphi.php \
X		geshi/diff.php \
X		geshi/div.php \
X		geshi/dos.php \
X		geshi/dot.php \
X		geshi/eiffel.php \
X		geshi/email.php \
X		geshi/fortran.php \
X		geshi/freebasic.php \
X		geshi/genero.php \
X		geshi/gettext.php \
X		geshi/glsl.php \
X		geshi/gml.php \
X		geshi/gnuplot.php \
X		geshi/groovy.php \
X		geshi/haskell.php \
X		geshi/hq9plus.php \
X		geshi/html4strict.php \
X		geshi/idl.php \
X		geshi/ini.php \
X		geshi/inno.php \
X		geshi/intercal.php \
X		geshi/io.php \
X		geshi/java.php \
X		geshi/java5.php \
X		geshi/javascript.php \
X		geshi/kixtart.php \
X		geshi/klonec.php \
X		geshi/klonecpp.php \
X		geshi/latex.php \
X		geshi/lisp.php \
X		geshi/lolcode.php \
X		geshi/lotusformulas.php \
X		geshi/lotusscript.php \
X		geshi/lscript.php \
X		geshi/lua.php \
X		geshi/m68k.php \
X		geshi/make.php \
X		geshi/matlab.php \
X		geshi/mirc.php \
X		geshi/mpasm.php \
X		geshi/mxml.php \
X		geshi/mysql.php \
X		geshi/nsis.php \
X		geshi/objc.php \
X		geshi/per.php \
X		geshi/ocaml-brief.php \
X		geshi/ocaml.php \
X		geshi/oobas.php \
X		geshi/oracle11.php \
X		geshi/oracle8.php \
X		geshi/pascal.php \
X		geshi/perl.php \
X		geshi/php-brief.php \
X		geshi/php.php \
X		geshi/pic16.php \
X		geshi/pixelbender.php \
X		geshi/plsql.php \
X		geshi/povray.php \
X		geshi/powershell.php \
X		geshi/robots.php \
X		geshi/ruby.php \
X		geshi/sas.php \
X		geshi/sql.php \
X		geshi/scala.php \
X		geshi/scheme.php \
X		geshi/scilab.php \
X		geshi/sdlbasic.php \
X		geshi/smalltalk.php \
X		geshi/smarty.php \
X		geshi/tcl.php \
X		geshi/teraterm.php \
X		geshi/text.php \
X		geshi/thinbasic.php \
X		geshi/tsql.php \
X		geshi/typoscript.php \
X		geshi/vb.php \
X		geshi/vbnet.php \
X		geshi/verilog.php \
X		geshi/vhdl.php \
X		geshi/vim.php \
X		geshi/visualfoxpro.php \
X		geshi/visualprolog.php \
X		geshi/whitespace.php \
X		geshi/winbatch.php \
X		geshi/xml.php \
X		geshi/xorg_conf.php \
X		geshi/xpp.php \
X		geshi/z80.php
X
XDOCDIRS=	\
X		api/geshi/core/ \
X		api/geshi/ \
X		api/media/images/ \
X		api/media/ \
X		api/__filesource/ \
X		api/
X
XDOCFILES=	\
X		api/blank.html \
X		api/classtrees_geshi.html \
X		api/elementindex.html \
X		api/elementindex_geshi.html \
X		api/errors.html \
X		api/geshi/core/GeSHi.html \
X		api/geshi/core/_geshi.php.html \
X		api/index.html \
X		api/li_geshi.html \
X		api/media/banner.css \
X		api/media/images/AbstractClass.png \
X		api/media/images/AbstractClass_logo.png \
X		api/media/images/AbstractMethod.png \
X		api/media/images/AbstractPrivateClass.png \
X		api/media/images/AbstractPrivateClass_logo.png \
X		api/media/images/AbstractPrivateMethod.png \
X		api/media/images/blank.png \
X		api/media/images/Class.png \
X		api/media/images/class_folder.png \
X		api/media/images/Class_logo.png \
X		api/media/images/Constant.png \
X		api/media/images/Constructor.png \
X		api/media/images/Destructor.png \
X		api/media/images/empty.png \
X		api/media/images/file.png \
X		api/media/images/folder.png \
X		api/media/images/Function.png \
X		api/media/images/function_folder.png \
X		api/media/images/Global.png \
X		api/media/images/I.png \
X		api/media/images/Index.png \
X		api/media/images/Interface.png \
X		api/media/images/Interface_logo.png \
X		api/media/images/L.png \
X		api/media/images/Lminus.png \
X		api/media/images/Lplus.png \
X		api/media/images/Method.png \
X		api/media/images/next_button.png \
X		api/media/images/next_button_disabled.png \
X		api/media/images/package.png \
X		api/media/images/package_folder.png \
X		api/media/images/Page.png \
X		api/media/images/Page_logo.png \
X		api/media/images/previous_button.png \
X		api/media/images/previous_button_disabled.png \
X		api/media/images/PrivateClass.png \
X		api/media/images/PrivateClass_logo.png \
X		api/media/images/PrivateMethod.png \
X		api/media/images/T.png \
X		api/media/images/PrivateVariable.png \
X		api/media/images/private_class_logo.png \
X		api/media/images/StaticMethod.png \
X		api/media/images/StaticVariable.png \
X		api/media/images/Tminus.png \
X		api/media/images/Tplus.png \
X		api/media/images/tutorial.png \
X		api/media/images/tutorial_folder.png \
X		api/media/images/up_button.png \
X		api/media/images/Variable.png \
X		api/media/stylesheet.css \
X		api/packages.html \
X		api/todolist.html \
X		api/__filesource/fsource_geshi_core_geshi.php.html \
X		BUGS \
X		CHANGES \
X		COPYING \
X		geshi-doc.html \
X		geshi-doc.txt \
X		phpdoc.ini \
X		README \
X		THANKS \
X		TODO
X
XEXAMPLESFILES=	\
X		aliased.php \
X		cssgen.php \
X		cssgen2.php \
X		example.php \
X		langcheck.php
X
Xpost-extract:
X# Generate packing list
X.for f in ${FILES}
X	@${ECHO} '${PHP_DESTDIR}/${f}' >> "${PLIST}"
X.endfor
X.for d in ${DIRS}
X	@${ECHO} '@dirrm ${PHP_DESTDIR}/${d}' >> "${PLIST}"
X.endfor
X	@${ECHO} '@dirrm ${PHP_DESTDIR}' >> "${PLIST}"
X.if !defined(NOPORTDOCS)
X.for f in ${DOCFILES}
X	@${ECHO} '${DOCSDIR_REL}/${f}' >> "${PLIST}"
X.endfor
X.for d in ${DOCDIRS}
X	@${ECHO} '@dirrm ${DOCSDIR_REL}/${d}' >> "${PLIST}"
X.endfor
X	@${ECHO} '@dirrm ${DOCSDIR_REL}' >> "${PLIST}"
X.endif # !defined(NOPORTDOCS)
X.if !defined(NOPORTEXAMPLES)
X.for f in ${EXAMPLESFILES}
X	@${ECHO} '${EXAMPLESDIR_REL}/${f}' >> "${PLIST}"
X.endfor
X.for d in ${EXAMPLESDIRS}
X	@${ECHO} '@dirrm ${EXAMPLESDIR_REL}/${d}' >> "${PLIST}"
X.endfor
X	@${ECHO} '@dirrm ${EXAMPLESDIR_REL}' >> "${PLIST}"
X.endif # !defined(NOPORTEXAMPLES)
X
Xdo-install:
X.for d in ${DIRS}
X	${MKDIR} ${PREFIX}/${PHP_DESTDIR}/${d}
X.endfor
X.for f in ${FILES}
X	${INSTALL_DATA} ${WRKSRC}/${f} ${PREFIX}/${PHP_DESTDIR}/${f:H}
X.endfor
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X.for d in ${DOCDIRS}
X	${MKDIR} ${DOCSDIR}/${d}
X.endfor
X.for f in ${DOCFILES}
X	${INSTALL_DATA} ${WRKSRC}/docs/${f} ${DOCSDIR}/${f:H}
X.endfor
X.endif # !defined(NOPORTDOCS)
X.if !defined(NOPORTEXAMPLES)
X	${MKDIR} ${EXAMPLESDIR}
X.for d in ${EXAMPLESDIRS}
X	${MKDIR} ${EXAMPLESDIR}/${d}
X.endfor
X.for f in ${EXAMPLESFILES}
X	${INSTALL_DATA} ${WRKSRC}/contrib/${f} ${EXAMPLESDIR}/${f:H}
X.endfor
X.endif # !defined(NOPORTEXAMPLES)
X
X.include <bsd.port.mk>
1ee784fae31bd111b6d444ca0d185d78
echo x - php5-geshi/distinfo
sed 's/^X//' >php5-geshi/distinfo << 'e8d7e161dcf2e48b3e7e9d28d7bcb05d'
XMD5 (GeSHi-1.0.8.2.tar.bz2) = c5c6ece312ccf4453028638a648f9691
XSHA256 (GeSHi-1.0.8.2.tar.bz2) = 165c57d24123855bb8e6e652f7165b70166fa98095748a0ebe446fc4952a9a9a
XSIZE (GeSHi-1.0.8.2.tar.bz2) = 499355
e8d7e161dcf2e48b3e7e9d28d7bcb05d
echo x - php5-geshi/pkg-descr
sed 's/^X//' >php5-geshi/pkg-descr << '7403f44573a722fe14ce754acc825708'
XGeSHi started as an idea to create a generic syntax highlighter
Xfor the phpBB forum system, but has been generalised to this project.
XGeSHi aims to be a simple but powerful highlighting class,
Xwith the following goals:
X
X * Support for a wide range of popular languages
X * Easy to add a new language for highlighting
X * Highly customisable output formats
X
XWWW: http://qbnz.com/highlighter/
7403f44573a722fe14ce754acc825708
exit
How-To-Repeat: 
http://qbnz.com/highlighter/
http://drupal.org/project/geshifilter
Comment 1 Edwin Groothuis freebsd_committer 2009-03-22 21:00:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-03-23 18:52:47 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter service freebsd_committer 2009-03-23 18:53:26 UTC
miwi        2009-03-23 18:53:00 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/php5-geshi     Makefile distinfo pkg-descr 
  Log:
  GeSHi started as an idea to create a generic syntax highlighter
  for the phpBB forum system, but has been generalised to this project.
  GeSHi aims to be a simple but powerful highlighting class,
  with the following goals:
  
   * Support for a wide range of popular languages
   * Easy to add a new language for highlighting
   * Highly customisable output formats
  
  WWW: http://qbnz.com/highlighter/
  
  PR:             ports/132947
  Submitted by:   Eygene Ryabinkin <rea-fbsd at codelabs.ru>
  
  Revision  Changes    Path
  1.3428    +1 -0      ports/devel/Makefile
  1.1       +295 -0    ports/devel/php5-geshi/Makefile (new)
  1.1       +3 -0      ports/devel/php5-geshi/distinfo (new)
  1.1       +10 -0     ports/devel/php5-geshi/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2009-03-23 18:54:13 UTC
miwi        2009-03-23 18:53:53 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/drupal6-geshifilter Makefile distinfo pkg-descr 
    www/drupal6-geshifilter/files patch-default-geshi-path 
                                  pkg-message.in 
  Log:
  The GeShi Filter module provides a filter for source code syntax
  highlighting for a wide range of languages.
  
  WWW: http://drupal.org/project/geshifilter
  
  PR:             ports/132947
  Submitted by:   Eygene Ryabinkin <rea-fbsd at codelabs.ru>
  
  Revision  Changes    Path
  1.2301    +1 -0      ports/www/Makefile
  1.1       +46 -0     ports/www/drupal6-geshifilter/Makefile (new)
  1.1       +3 -0      ports/www/drupal6-geshifilter/distinfo (new)
  1.1       +14 -0     ports/www/drupal6-geshifilter/files/patch-default-geshi-path (new)
  1.1       +19 -0     ports/www/drupal6-geshifilter/files/pkg-message.in (new)
  1.1       +4 -0      ports/www/drupal6-geshifilter/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"